Package ru.bitel.bgbilling.modules.voice.common.bean

# Class VoiceGeographicRange

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.modules.voice.common.bean.VoiceGeographicRange

All Implemented Interfaces:
  `Serializable`, `Idable`

public class VoiceGeographicRange extends Id

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VoiceGeographicRange()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getDestinationId()`
  `String`
  `getMobileId()`
  `int`
  `getOperatorId()`
  `long`
  `getRangeFrom()`
  `long`
  `getRangeTo()`
  `VoiceGeographicRange`
  `setDestinationId(int destinationId)`
  `VoiceGeographicRange`
  `setId(int id)`
  Устанавливает id объекта
  `VoiceGeographicRange`
  `setMobileId(String mobileId)`
  `VoiceGeographicRange`
  `setOperatorId(int operatorId)`
  `VoiceGeographicRange`
  `setRangeFrom(long rangeFrom)`
  `VoiceGeographicRange`
  `setRangeTo(long rangeTo)`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### VoiceGeographicRange

    public VoiceGeographicRange()

- ## Method Details

  - ### getDestinationId

    public int getDestinationId()

  - ### getMobileId

    public String getMobileId()

  - ### getOperatorId

    public int getOperatorId()

  - ### getRangeFrom

    public long getRangeFrom()

  - ### getRangeTo

    public long getRangeTo()

  - ### setDestinationId

    public VoiceGeographicRange setDestinationId(int destinationId)

  - ### setId

    public VoiceGeographicRange setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `Id`

  - ### setMobileId

    public VoiceGeographicRange setMobileId(String mobileId)

  - ### setOperatorId

    public VoiceGeographicRange setOperatorId(int operatorId)

  - ### setRangeFrom

    public VoiceGeographicRange setRangeFrom(long rangeFrom)

  - ### setRangeTo

    public VoiceGeographicRange setRangeTo(long rangeTo)